org.apache.sling.scripting.sightly.testing.precompiled.templates__002d__access__002d__control

## Class templates__002d__access__002d__control__002e__html

- java.lang.Object
- - org.apache.sling.scripting.sightly.render.RenderUnit
  - - org.apache.sling.scripting.sightly.testing.precompiled.templates__002d__access__002d__control.templates__002d__access__002d__control__002e__html

All Implemented Interfaces:
  org.apache.sling.scripting.sightly.Record<org.apache.sling.scripting.sightly.render.RenderUnit>

    public final class templates__002d__access__002d__control__002e__html
    extends org.apache.sling.scripting.sightly.render.RenderUnit

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sling.scripting.sightly.render.RenderUnit

`org.apache.sling.scripting.sightly.render.RenderUnit.FluentMap`

### Constructor Summary

Constructors
Constructor and Description
`templates__002d__access__002d__control__002e__html()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `render(PrintWriter out, Bindings bindings, Bindings arguments, org.apache.sling.scripting.sightly.render.RenderContext renderContext)`

### Methods inherited from class org.apache.sling.scripting.sightly.render.RenderUnit

`addSubTemplate, callUnit, getProperty, getPropertyNames, obj, render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### templates__002d__access__002d__control__002e__html

    public templates__002d__access__002d__control__002e__html()

### Method Detail

#### render

    protected final void render(PrintWriter out,
                                Bindings bindings,
                                Bindings arguments,
                                org.apache.sling.scripting.sightly.render.RenderContext renderContext)

Specified by:
  `render` in class `org.apache.sling.scripting.sightly.render.RenderUnit`